/*------------------------------------------------------------------------
 |  FILE            NotImplementedException.java
 |  PART OF         Sverre's Simple JDBC Driver for PostgreSQL
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

package no.shhsoft.postgresql;

import java.sql.*;

/**
 *
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: NotImplementedException.java,v 1.3 2002/02/05 22:54:25 sverrehu Exp $
 */
public final class NotImplementedException
extends SQLException {
/*-----------------------------------------------------------------------+
|  PUBLIC INTERFACE                                                      |
+-----------------------------------------------------------------------*/
    public NotImplementedException() {
        super("Not implemented.");
    }

    public NotImplementedException(String s) {
        super("Not implemented: " + s);
    }
}
