/*------------------------------------------------------------------------
 |  FILE            Abort.java
 |  PART OF
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

package test;

import java.util.*;
import java.io.*;

import java.net.URL;
import java.sql.*;

/**
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: Abort.java,v 1.2 2002/02/05 23:08:16 sverrehu Exp $
 */
public final class Abort
extends TestCommon {
/*-----------------------------------------------------------------------+
 |  PRIVATE PART                                                         |
 +----------------------------------------------------------------------*/
    private void runTest(String driver) {
        int       q;
        String    s;
        Statement stmt;
        ResultSet rs;

        try {
            stmt = con.createStatement();
            rs = stmt.executeQuery("SELECT * FROM Question");
            rs.next();
            rs.next();
//              rs.close();
            rs = stmt.executeQuery("SELECT * FROM Usr");
            rs.next();
            System.out.println(rs.getString(2));
            rs.next();
            System.out.println(rs.getString(2));
            rs.close();
            stmt.close();
        } catch (SQLException e) {
            System.err.println("execute error: " + e.getMessage());
            e.printStackTrace(System.err);
        }
    }

/*-----------------------------------------------------------------------+
 |  PUBLIC INTERFACE                                                     |
 +----------------------------------------------------------------------*/
    public static void main(String[] args) {
        Abort Abort;

        if (args.length != 2) {
            System.err.println("arguments: driver url");
            System.exit(1);
        }
        Abort = new Abort();
        Abort.connect(args[0], args[1]);
        Abort.runTest(args[0]);
        Abort.close();
    }
}
